Page MenuHomePhabricator

JavaScript requirement of beta features is not specified correctly
Closed, ResolvedPublic

Description

When JavaScript is disabled in the browser, beta features that require JavaScript are distinguished using the "This feature requires JavaScript" message in Special:Betafeatures.

With the current set of beta features, I suspect the only one that works without JavaScript is "Structured Discussion". But I see that features such as "Wikitext syntax highlighting", "Advanced Search interface" aren't marked as requiring JavaScript though they don't seem to work without it. Features such as "New wikitext mode" are correctly flagged as requiring JavaScript.

This inconsistency should be fixed.

Current Beta Features which I think need JS, but don't state it:

  • New filters for edit review
  • Wikitext syntax highlighting
  • Advanced Search Interface
  • Two column edit conflict

Current ones which I think are fine:

  • New video player (stated)
  • VisualEditor (stated)
  • Visual differences (stated)
  • Structured Discussions on user talk (doesn't need JS)
  • Content Translation (stated)

Event Timeline

Kaartic created this task.May 11 2018, 7:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2018, 7:06 PM
Legoktm added a subscriber: Legoktm.

That will need to be fixed in the individual extensions that enable beta features, so I'm moving this out of BetaFeatures and tagging those extensions instead.

Current Beta Features which I think need JS, but don't state it:

  • New filters for edit review
  • Advanced Search Interface
  • Wikitext syntax highlighting
  • Two column edit conflict

Current ones which I think are fine:

  • New video player
  • VisualEditor (stated)
  • Visual differences (stated)
  • Structured Discussions on user talk
  • Content Translation (stated)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 11 2018, 7:38 PM

Change 432637 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikimediaMessages@master] RCFilters Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432637

Change 432638 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/AdvancedSearch@master] RCFilters Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432638

Change 432639 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/CodeMirror@master] RCFilters Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432639

Change 432641 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TwoColConflict@master] RCFilters Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432641

Change 432637 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] RCFilters Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432637

Change 432639 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432639

Jdforrester-WMF updated the task description. (Show Details)

Change 432638 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432638

Change 432641 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Beta Feature: Flag as requiring JavaScript

https://gerrit.wikimedia.org/r/432641

Lea_WMDE moved this task from Backlog to Watching on the Advanced-Search board.May 14 2018, 7:40 AM
Jdforrester-WMF closed this task as Resolved.May 14 2018, 8:21 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)
Vvjjkkii renamed this task from JavaScript requirement of beta features is not specified correctly to r3caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jdforrester-WMF as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Kaartic renamed this task from r3caaaaaaa to "No results found" message not visible when keyboard active when triggered from the **Article** view.Jul 1 2018, 1:14 PM
Kaartic closed this task as Resolved.
Kaartic assigned this task to cooltey.
Kaartic lowered the priority of this task from High to Medium.
Kaartic updated the task description. (Show Details)
Kaartic renamed this task from "No results found" message not visible when keyboard active when triggered from the **Article** view to JavaScript requirement of beta features is not specified correctly .Jul 1 2018, 1:19 PM
Kaartic reassigned this task from cooltey to Jdforrester-WMF.
Kaartic updated the task description. (Show Details)
Kaartic added subscribers: gerritbot, Aklapper, cooltey.

Sorry for the excess notifications, swapped task when reverting the vandalism.